/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.tmx.util.message;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoTmxUtilMessage/メッセージ定義[BlancoTmxUtil]が内部的に利用するリソースバンドルクラス。]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 */
class BlancoTmxUtilMessageResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoTmxUtilMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoTmxUtilMessage]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoTmxUtilMessageResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/tmx/util/message/BlancoTmxUtilMessage");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoTmxUtilMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoTmxUtilMessage]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoTmxUtilMessageResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/tmx/util/message/BlancoTmxUtilMessage", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoTmxUtilMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoTmxUtilMessage]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoTmxUtilMessageResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/tmx/util/message/BlancoTmxUtilMessage", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoTmxUtilMessage], key[MBTMUT01]
     *
     * [指定された sourcedir[{0}]は存在しません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBTMUT01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbtmut01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された sourcedir[{0}]は存在しません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBTMUT01");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoTmxUtilMessage], key[MBTMUT02]
     *
     * [指定された sourcedir[{0}]はディレクトリではありません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBTMUT02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbtmut02(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された sourcedir[{0}]はディレクトリではありません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBTMUT02");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoTmxUtilMessage], key[MBTMUT03]
     *
     * [指定された targetdir[{0}]が存在しなかったので作成を試みましたが失敗しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBTMUT03]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbtmut03(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された targetdir[{0}]が存在しなかったので作成を試みましたが失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBTMUT03");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoTmxUtilMessage], key[MBTMUT04]
     *
     * [指定された targetdir[{0}]はディレクトリではありません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBTMUT04]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbtmut04(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された targetdir[{0}]はディレクトリではありません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBTMUT04");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoTmxUtilMessage], key[MBTMUT05]
     *
     * [sourcedir[{0}] と targetdir[{1}] とは同じディレクトリです。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBTMUT05]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbtmut05(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "sourcedir[{0}] と targetdir[{1}] とは同じディレクトリです。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBTMUT05");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }
}
